Bug 1404724 - “fedpkg update” fails when the last git log message contains non-ASCII.
Summary: “fedpkg update” fails when the last git log message contains non-ASCII.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-14 13:49 UTC by Mike FABIAN
Modified: 2017-01-07 00:21 UTC (History)
6 users (show)

Fixed In Version: fedpkg-1.26-4.fc25 fedpkg-1.26-4.fc24 fedpkg-1.26-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 21:49:25 UTC


Attachments (Terms of Use)

Description Mike FABIAN 2016-12-14 13:49:00 UTC
mfabian@taka:~/rpmsources/fedora/ibus-typing-booster (f25 %)
$ fedpkg -v -d update 
Creating repo object from /home/mfabian/rpmsources/fedora/ibus-typing-booster
Could not execute update: 'ascii' codec can't decode byte 0xe2 in position 115: ordinal not in range(128)
Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 16, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/fedpkg/__main__.py", line 77, in main
    sys.exit(client.args.command())
  File "/usr/lib/python2.7/site-packages/fedpkg/cli.py", line 139, in update
    template = textwrap.dedent(template) % bodhi_args
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 115: ordinal not in range(128)
mfabian@taka:~/rpmsources/fedora/ibus-typing-booster (f25 %)
$ git log -1
commit 21c45824633a356ed78e339184de9df81f57ae62
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Dec 9 16:49:49 2016 +0100

    update to 1.5.15
    
    - Default value for self._show_status_info_in_auxiliary_text should be True
    - Don’t use keyword arguments when instantiating IBus.LookupTable()
    - Add an option to choose the orientation of the lookup table
    - Update translations from zanata (de, pl, and uk updated)
    - Update emojione.json
mfabian@taka:~/rpmsources/fedora/ibus-typing-booster (f25 %)
$ 

The apostrophe in "Don’t" is U+2019 RIGHT SINGLE QUOTATION MARK.

Comment 1 cqi 2016-12-15 05:13:29 UTC
Patch: https://pagure.io/fedpkg/pull-request/91

Comment 2 cqi 2016-12-15 10:41:00 UTC
Patch is merged.

Comment 3 Fedora Update System 2016-12-16 11:56:56 UTC
rpkg-1.47-6.fc25 fedpkg-1.26-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-730ed750f8

Comment 4 Fedora Update System 2016-12-16 11:58:43 UTC
fedpkg-1.26-4.fc24 rpkg-1.47-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1146121922

Comment 5 Fedora Update System 2016-12-16 12:02:22 UTC
fedpkg-1.26-4.el7 rpkg-1.47-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 6 Fedora Update System 2016-12-16 12:02:39 UTC
fedpkg-1.26-4.el7 rpkg-1.47-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 7 Fedora Update System 2016-12-17 00:51:44 UTC
fedpkg-1.26-4.el7, rpkg-1.47-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 8 Fedora Update System 2016-12-17 01:38:01 UTC
fedpkg-1.26-4.fc25, rpkg-1.47-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-730ed750f8

Comment 9 Fedora Update System 2016-12-19 15:22:36 UTC
fedpkg-1.26-4.el7 rpkg-1.47-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 10 Fedora Update System 2016-12-19 15:23:16 UTC
fedpkg-1.26-4.fc25 rpkg-1.47-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-730ed750f8

Comment 11 Fedora Update System 2016-12-19 20:59:26 UTC
fedpkg-1.26-4.fc24, rpkg-1.47-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1146121922

Comment 12 Fedora Update System 2016-12-20 08:52:00 UTC
fedpkg-1.26-4.el7, rpkg-1.47-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 13 Fedora Update System 2016-12-20 09:22:46 UTC
fedpkg-1.26-4.fc25, rpkg-1.47-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-730ed750f8

Comment 14 Fedora Update System 2016-12-20 17:21:50 UTC
fedpkg-1.26-4.fc25, rpkg-1.47-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-12-21 10:54:01 UTC
fedpkg-1.26-4.fc24 rpkg-1.47-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1146121922

Comment 16 Fedora Update System 2016-12-21 15:48:27 UTC
fedpkg-1.26-4.fc24, rpkg-1.47-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1146121922

Comment 17 Fedora Update System 2017-01-06 21:49:25 UTC
fedpkg-1.26-4.fc24, rpkg-1.47-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-01-07 00:21:37 UTC
fedpkg-1.26-4.el7, rpkg-1.47-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.